petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESMonitorSAWs

monitor solution using SAWs

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMonitorSAWs(SNES snes,PetscInt n,PetscReal rnorm,void *ctx)

Logically Collective on SNES

### Input Parameters

| snes | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| ctx | - PetscViewer of type SAWs

### Keywords

SNES, monitor, SAWs

### See Also

PetscViewerSAWsOpen()

Level:advanced
Location:src/snes/interface/saws/snessaws.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages